/*
 * Function to convert an ethernet (MAC) address to string form.
 *
 * (C) 2002 Compendium Technologies, Inc.
 * (C) 2002 Softools, Inc.
 * All rights reserved.
 *
 * This software is the proprietary information of Compendium Technologies, Inc.
 * and Softools, Inc. Use is subject to license terms.
 */
#include "rabbitlwip.h"

/*
 * Convert an MAC (ethernet address) to a displayable string
 */
char *etherAddressToString(char *string, struct eth_addr *mac)
{
     char *address = (char *)mac;
     if (string == NULL)
         return NULL;
     sprintf(string, "%2.2x:%2.2x:%2.2x:%2.2x:%2.2x:%2.2x",
             address[0], address[1], address[2], address[3],
             address[4], address[5]);
     return string;
}
