/*
 * DNS client subsystem.
 *
 * (C) 2001 Compendium Technologies, Inc.
 * (C) 2001 Softools, Inc.
 * All rights reserved.
 *
 * This software is the proprietary information of Compendium Technologies, Inc.
 * and Softools, Inc. Use is subject to license terms.
 */
#ifndef _DNS_H_
#define _DNS_H_

#include "arch/cc.h"
#include "rabbitlwip.h"

extern u8_t numNameServers;
extern struct ip_addr nameservers[MAX_NAMESERVERS];

/*
 * Return values from dns_add_server()
 */
#define DNS_OK 1
#define DNS_MAX 0

far int dnsAddServer(struct ip_addr * nameserver);
far void dnsClear(void);

#endif /* _DNS_H_ */
